%define	name	pam_ccreds
%define	version	10
%define	release	%mkrel 8

Summary:	A caching pam module for disconnected operation
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source: 	http://www.padl.com/download/%{name}-%{version}.tar.gz
Patch0:		pam_ccreds-10-dbnss.patch
Patch1:		pam_ccreds-strdup.patch
Patch2:		pam_ccreds-10-automake-1.13.patch
Group:		System/Libraries
License:	GPLv2
BuildRequires:	pam-devel
BuildRequires:	db5_nss-devel >= 4.2.52-5mdk
BuildRequires:	openssl-devel
Url:		http://www.padl.com/

%description
The pam_ccreds module provides a mechanism for caching
credentials when authenticating against a network
authentication service, so that authentication can still
proceed when the service is down. Note at present no
mechanism is provided for caching _authorization_ 
information, i.e. whether you are allowed to login once
authenticated. Doing this is more difficult than it
first sounds.

%prep
%setup -q
rm -f acconfig.h
%patch0 -p1 -b .dbnss
%patch1 -p1 -b .strdup
%patch2 -p1

%build
autoreconf
%configure2_5x --libdir=/%{_lib}
make

%install
mkdir -p %{buildroot}/%{_lib}/security
mkdir -p %{buildroot}/%{_sbindir}
install pam_ccreds.so %{buildroot}/%{_lib}/security
install cc_dump cc_test %{buildroot}/%{_sbindir}
install ccreds_chkpwd %{buildroot}/%{_sbindir}
mkdir -p %{buildroot}/var/cache
touch %{buildroot}/var/cache/.security.db

%files
%doc AUTHORS README ChangeLog pam.conf
%attr(4755,root,root) %{_sbindir}/ccreds_chkpwd
%{_sbindir}/cc_dump
%{_sbindir}/cc_test
/%{_lib}/security/pam_ccreds.so
%ghost /var/cache/.security.db

%post
if [ ! -f /var/cache/.security.db ]; then
%{_sbindir}/cc_test -update any root - > /dev/null 2>/dev/null || :
fi


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 10-8.mga3
+ Revision: 362370
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 10-7.mga3
+ Revision: 340727
- fix for automake 1.13

* Tue Jul 31 2012 fwang <fwang> 10-6.mga3
+ Revision: 276300
- rebuild for db-5.3

* Wed Jul 25 2012 fwang <fwang> 10-5.mga3
+ Revision: 274167
- rebuild for db 5.2

* Tue Mar 08 2011 ennael <ennael> 10-4.mga1
+ Revision: 66417
- imported package pam_ccreds

